Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-0070

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2003-0070
Last Modified 06 Aug 2010 12:00:00
Published 03 Mar 2003 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2003-0070

Summary

VTE, as used by default in gnome-terminal terminal emulator 2.2 and as an option in gnome-terminal 2.0, allows attackers to modify the window title via a certain character escape sequence and then insert it back to the command line in the user's terminal, e.g. when the user views a file containing the malicious sequence, which could allow the attacker to execute arbitrary commands.

Vulnerable Systems

Application

  • Gnome-terminal 2.0

  • Gnome-terminal 2.2

  • Nalin Dahyabhai Vte 0.11.21

  • Nalin Dahyabhai Vte 0.12.2

  • Nalin Dahyabhai Vte 0.14.2

  • Nalin Dahyabhai Vte 0.15.0

  • Nalin Dahyabhai Vte 0.16.14

  • Nalin Dahyabhai Vte 0.17.4

  • Nalin Dahyabhai Vte 0.20.5

  • Nalin Dahyabhai Vte 0.22.5

  • Nalin Dahyabhai Vte 0.24.3

  • Nalin Dahyabhai Vte 0.25.1


References

REDHAT - RHSA-2003:053

XF - terminal-emulator-window-title(11414)

GENTOO - GLSA-200303-2

BUGTRAQ - 20030224 Terminal Emulator Security Issues


Last Updated: 27 May 2016 10:37:46